<div class="ruler-dashboard">
  <h1>Chax Users</h1>
  <div class="button-row">
    <dx-button class="add" icon="plus" text="Add New"></dx-button>
    <dx-button class="update" icon="edit" text="Update"></dx-button>
    <dx-button class="delete" icon="trash" text="Delete"></dx-button>
  </div>


  <div class="gridview">

    <dx-data-grid id="gridContainer"
                  [dataSource]="dataSource"
                  [remoteOperations]="false"
                  [allowColumnReordering]="true"
                  [showBorders]="true"
                  [hoverStateEnabled]="true"
                  [selectedRowKeys]="[]"
                  (onContentReady)="contentReady($event)">

      <dxo-paging [pageSize]="10"></dxo-paging>
      <dxo-pager
        [showPageSizeSelector]="true"
        [allowedPageSizes]="[10, 25, 50, 100]"
      ></dxo-pager>
      <dxo-search-panel
        [visible]="true"
        [highlightCaseSensitive]="true"
      ></dxo-search-panel>
      <dxo-group-panel
        [visible]="true"
      ></dxo-group-panel>
      <dxo-grouping
        [autoExpandAll]="false"
      ></dxo-grouping>
      <dxi-column dataField="USERNAME" caption="Username" dataType="date"></dxi-column>
      <dxi-column dataField="FULLNAME" caption="Full Name" dataType="string"></dxi-column>
      <dxi-column dataField="DEFAULTPAYEE" caption="Payee" dataType="string"></dxi-column>


      <div *dxTemplate="let d of 'discountCellTemplate'">
        <div class="chart-cell">
          <dx-bullet
            [showTarget]="false"
            [showZeroLevel]="true"
            [startScaleValue]="0"
            [endScaleValue]="100"
            [value]="d.value * 100">
            <dxo-size [width]="150" [height]="35"></dxo-size>
            <dxo-tooltip
              [enabled]="true"
              [paddingTopBottom]="2"
              [customizeTooltip]="customizeTooltip">
              <dxo-font [size]="18"></dxo-font>
            </dxo-tooltip>
            <dxo-margin
              [top]="5"
              [bottom]="0"
              [left]="5"
            ></dxo-margin>
          </dx-bullet>
        </div>
      </div>
    </dx-data-grid>
  </div>
</div>


